# @ossy/deployment-tools

Collection of scripts and tools to aid deployment of
containers and static files to Amazon Web Services through GitHub Actions

## Scripts

### start
Starts a node server in the background that polls an deployment queue for container deployment requests.
Make sure NodeJs and npm is installed and Docker and Caddy is up and running.
```bash
npx @ossy/deployment-tools start
```

### stop
Stops the deployment-tools systemd service
```bash
npx @ossy/deployment-tools stop
```

### status
Prints the status of the deployment-tools systemd service
```bash
npx @ossy/deployment-tools status
```

### deploy
Sends a deployment request to the aws sqs deployment queue.
```bash
npx --yes @ossy/deployment-tools deploy \
  --username ${{ github.actor }} \
  --authentication ${{ secrets.GITHUB_TOKEN }} \
  --target-env ${{ github.event.inputs.environmentName }} \
  --platforms packages/infrastructure/bin/deployment-platforms.json \
  --ossyfile packages/${{ github.event.inputs.packageName }}/ossy.json \
```
